module Track exposing (Track, Point, parse)

import Result
import Xml.Decode as XD exposing (path, list, floatAttr)

type alias Point =
    { lat : Float
    , lon : Float
    }

type alias Track =  List Point

pointDecoder = XD.map2 Point
               (floatAttr "lat")
               (floatAttr "lon")

gpxDecoder =
             (path [ "trk", "trkseg", "trkpt" ] (list pointDecoder))


parse str = XD.run gpxDecoder str
