module TrackTest exposing (specs)
import Fixtures

import Track exposing (Track, Point)
import Test exposing (..)
import Expect exposing (Expectation)

specs: Test
specs =
    describe "XML Parsing"
        [ test "it runs" <|
              \_ ->
              let
                  r = Track.parse Fixtures.threepoints
                  expected =
                      [ (Point 51.600643 -0.01856)
                      , (Point 51.600679 -0.018179)
                      , (Point 51.600697 -0.018064)
                      ]

              in
                  case r of
                      (Ok trk) -> Expect.equalLists expected trk
                      _ -> Expect.fail "not ok"
        ]
